From f0054ac856059183f6c7bc3f9e8a80965a8c0368 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Ryrl=C3=A9n?= <mattiasr@op5.com>
Date: Thu, 29 Aug 2013 14:34:39 +0200
Subject: [PATCH] YES! test: build on machines with only one cpu
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

There might be someone out there who still have only one cpu/core, let those
build too.

Signed-off-by: Mattias Ryrlén <mattiasr@op5.com>
---
 lib/test-nsutils.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lib/test-nsutils.c b/lib/test-nsutils.c
index 1a23ee1..f835d67 100644
--- a/lib/test-nsutils.c
+++ b/lib/test-nsutils.c
@@ -31,10 +31,10 @@ int main(int argc, char **argv)
 	asprintf(&s1, "arg varg foo %d", 12);
 	s2 = mkstr("arg varg foo %d", 12);
 	ok_str(s1, s2, "mkstr() must build proper strings");
-	if (online_cpus() > 1) {
+	if (online_cpus() > 0) {
 		t_pass("%d online cpus detected", online_cpus());
 	} else {
-		t_fail("Do you really have only one cpu core?");
+		t_fail("No online cpus detected");
 	}
 	return t_end();
 }
-- 
1.8.3.4

